GRSFileWriter (The Data Transfer Agent Library 1.1.1-SNAPSHOT API)
Date: 2012-11-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.library.grs
Class GRSFileWriter

    java.lang.Object
      java.lang.Thread
          org.gcube.datatransfer.agent.library.grs.GRSFileWriter

All Implemented Interfaces:
  Runnable

    public class GRSFileWriter

extends Thread

Author:
  Andrea Manzi(CERN)

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`GRSFileWriter(gr.uoa.di.madgik.grs.proxy.IWriterProxy proxy, ArrayList<File> inputFiles)`

Method Summary
`URI` | `getLocator()`
`gr.uoa.di.madgik.grs.writer.RecordWriter<gr.uoa.di.madgik.grs.record.GenericRecord>` | `getWriter()`
`void` | `run()`
`void` | `setWriter(gr.uoa.di.madgik.grs.writer.RecordWriter<gr.uoa.di.madgik.grs.record.GenericRecord> writer)`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GRSFileWriter

    public GRSFileWriter(gr.uoa.di.madgik.grs.proxy.IWriterProxy proxy,
                         ArrayList<File> inputFiles)
                  throws gr.uoa.di.madgik.grs.writer.GRS2WriterException

Throws:
  `gr.uoa.di.madgik.grs.writer.GRS2WriterException`

Method Detail

### getLocator

    public URI getLocator()
                   throws gr.uoa.di.madgik.grs.writer.GRS2WriterException

  Throws:
    `gr.uoa.di.madgik.grs.writer.GRS2WriterException`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

### getWriter

    public gr.uoa.di.madgik.grs.writer.RecordWriter<gr.uoa.di.madgik.grs.record.GenericRecord> getWriter()

### setWriter

    public void setWriter(gr.uoa.di.madgik.grs.writer.RecordWriter<gr.uoa.di.madgik.grs.record.GenericRecord> writer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.